osl::checkmate::DfpnVisitLock< Enabled > Struct Template Reference

## Public Member Functions

| DfpnVisitLock (const DfpnVisitLock &)=delete
DfpnVisitLock & | operator= (const DfpnVisitLock &)=delete
| DfpnVisitLock (DfpnPathRecord *r)
| ~DfpnVisitLock ()

## Public Attributes

DfpnPathRecord * | record

## Detailed Description

template<bool Enabled = true>
struct osl::checkmate::DfpnVisitLock< Enabled >

Definition at line 163 of file dfpn.cc.

## Constructor & Destructor Documentation

## DfpnVisitLock() [1/2]

template<bool Enabled = true>

osl::checkmate::DfpnVisitLock< Enabled >::DfpnVisitLock | ( | const DfpnVisitLock< Enabled > & |  | ) |

delete

References DfpnVisitLock().

Referenced by DfpnVisitLock(), and operator=().

## DfpnVisitLock() [2/2]

template<bool Enabled = true>

osl::checkmate::DfpnVisitLock< Enabled >::DfpnVisitLock | ( | DfpnPathRecord * | r | ) |

inline

Definition at line 169 of file dfpn.cc.

References record.

## ~DfpnVisitLock()

template<bool Enabled = true>

osl::checkmate::DfpnVisitLock< Enabled >::~DfpnVisitLock | ( |  | ) |

inline

Definition at line 175 of file dfpn.cc.

References record.

## Member Function Documentation

## operator=()

template<bool Enabled = true>

DfpnVisitLock & osl::checkmate::DfpnVisitLock< Enabled >::operator= | ( | const DfpnVisitLock< Enabled > & |  | ) |

delete

References DfpnVisitLock().

## Member Data Documentation

## record

template<bool Enabled = true>

DfpnPathRecord* osl::checkmate::DfpnVisitLock< Enabled >::record

Definition at line 168 of file dfpn.cc.

Referenced by DfpnVisitLock(), and ~DfpnVisitLock().

The documentation for this struct was generated from the following file:

- dfpn.cc